aboutsummaryrefslogtreecommitdiffstats
path: root/extra/clamsmtp/clamsmtp.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-02-03 11:42:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-03 14:06:12 +0000
commitb68f3acbc17925ef698562d13616a6f627d0155f (patch)
treea99f49692e6d47d61e61fa14605966f3ad1068b7 /extra/clamsmtp/clamsmtp.initd
parent3eb2093259273aa7dfa99703451562d540b69c95 (diff)
downloadaports-b68f3acbc17925ef698562d13616a6f627d0155f.tar.gz
aports-b68f3acbc17925ef698562d13616a6f627d0155f.tar.bz2
aports-b68f3acbc17925ef698562d13616a6f627d0155f.tar.xz
extra/clamstmp: new aport
Diffstat (limited to 'extra/clamsmtp/clamsmtp.initd')
-rw-r--r--extra/clamsmtp/clamsmtp.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/extra/clamsmtp/clamsmtp.initd b/extra/clamsmtp/clamsmtp.initd
new file mode 100644
index 0000000000..4ccfe6c0c8
--- /dev/null
+++ b/extra/clamsmtp/clamsmtp.initd
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+
+# Sample init.d file for alpine linux.
+
+NAME=clamsmtpd
+DAEMON=/usr/sbin/$NAME
+
+depend() {
+ need net clamd
+}
+
+start() {
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet \
+ --exec ${DAEMON} -- ${OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --quiet \
+ --exec ${DAEMON} \
+ --pidfile /var/run/${NAME}.pid
+ eend $?
+}